Playbook Test Document Uploads
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Query parameters
pageNumberinteger · int32Optional
The page number for paginated results.
pageSizeinteger · int32Optional
The number of items per page.
searchTextstringOptional
Optional search text to filter results.
sortinginteger · enumOptionalPossible values:
The sorting option for the results.
descbooleanOptionalDefault:
Whether to sort in descending order.
trueResponses
200
OK
namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
403
Forbidden
get
/playbooks/{playbookIdentifier}/test-document-uploadsAuthorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
playbookIdentifierstringRequired
Body
namestring · nullableRequired
isCompletedbooleanRequired
Responses
201
Created
400
Bad Request
403
Forbidden
404
Not Found
post
/playbooks/{playbookIdentifier}/test-document-uploadsAuthorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
The unique identifier of the test document upload.
playbookIdentifierstringRequired
Responses
200
OK
namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
403
Forbidden
404
Not Found
get
/playbooks/{playbookIdentifier}/test-document-uploads/{objectIdentifier}Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
The unique identifier of the test document upload to update.
playbookIdentifierstringRequired
Body
namestring · nullableRequired
isCompletedbooleanRequired
Responses
200
OK
namestring · nullableRequired
parentObjectIdentifierstring · uuid · nullableOptional
isDirectorybooleanOptional
documentUploadObjectIdentifierstring · uuidRequired
contentTypestring · nullableOptional
sizeinteger · int64 · nullableOptional
objectIdentifierstring · uuidOptional
dateAddedstring · date-timeOptional
uploadSuccessfulboolean · nullableOptional
tokenCountinteger · int64 · nullableOptional
metadataTokenCountinteger · int64 · nullableOptional
unsupportedFileTypeboolean · nullableOptional
unPackingCompleteboolean · nullableOptional
unPackingFailedboolean · nullableOptional
uploadInProgressboolean · nullableOptional
urlstring · nullableOptional
hasChildrenboolean · nullableOptional
400
Bad Request
403
Forbidden
404
Not Found
patch
/playbooks/{playbookIdentifier}/test-document-uploads/{objectIdentifier}Last updated
